<!DOCTYPE html>
<html>
  <head>
    <title>Tareas</title>
  </head>
  <body>
    <label>Ingrese tarea</label>
    <input id="nombreTarea" />
    <button onclick="agregarTarea()">Agregar</button>
    <ul id="listaTareas">
    </ul>
    <div>
    <span>Cantidad de tareas: <span id="numeroTareas">0</span></span>
    </div>
    <div>
    <span>Tareas realizadas: <span id="tareasRealizadas">0</span></span>
    </div>
    <script>
      const nombreTarea = document.getElementById('nombreTarea')
      const listaTareas = document.getElementById('listaTareas')
      const numeroTareas = document.getElementById('numeroTareas')
      const tareasRealizadas = document.getElementById('tareasRealizadas')
      let totalTareas = 0
      let tareasListas = 0

      function agregarTarea() {
        const li = document.createElement('li')

        // <input type="checkbox" />
        const checkbox = document.createElement('input')
        checkbox.setAttribute('type', 'checkbox')
        checkbox.onchange = () => {
          tareasRealizadas.innerHTML = checkbox.checked ? ++tareasListas : --tareasListas
        }

        const tarea = document.createElement('span')
        tarea.innerHTML = nombreTarea.value

        li.appendChild(checkbox)
        li.appendChild(tarea)

        listaTareas.appendChild(li)

        totalTareas++
        numeroTareas.innerHTML = totalTareas
      }
    </script>
  </body>
</html>
